cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-rules/egress-traffic-policy \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"allow_all":true,"idempotency_key":"string"}'{}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Outbound traffic management
POST
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
egress-rules
/
egress-traffic-policy
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-rules/egress-traffic-policy \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"allow_all":true,"idempotency_key":"string"}'{}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id identifies the cluster whose egress policy will be updated.
Body
application/json
SetEgressTrafficPolicyRequest is the input for the SetEgressTrafficPolicy RPC.
Response
A successful response.
The response is of type object.

